[tool.poetry]
name = "tptimer"
version = "0.1.0"
description = ""
authors = ["A social network to speedcubers"]
license = "Apache 2.0"
readme = "README.md"

[tool.poetry.dependencies]
python = "^3.11"
Flask = "^2.3.2"
Flask-WTF = "^1.1.1"
pyTwistyScrambler = "^1.6"
WTForms = "^3.0.1"
Flask-SQLAlchemy = "^3.0.5"
Werkzeug = "^2.3.6"
wtforms-html5 = "^0.6.1"
requests = "^2.31.0"
email-validator = "^2.0.0.post2"
python-dotenv = "^1.0.0"
pysqlite3 = "^0.5.1"

[tool.poetry.group.dev.dependencies]
ipython = "^8.14.0"
pytest = "^7.4.0"

[tool.poetry.scripts]
server = "app:main"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
